# List user permissions for a collection

Lists user permissions for the matching collection.

Endpoint: GET /collections/{collection_id}/user_permissions
Version: v4
Security: APIToken

## Path parameters:

  - `collection_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Query parameters:

  - `page` (integer)
    Set this to a positive, non-zero integer representing the page number of
the results you want.

  - `per` (integer)
    Set this pagination parameter to the maximum number of results you want
to receive back from your request.

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "p2f0ou-3geb4w-123456"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "user_permissions"

  - `data.attributes` (object, required)

  - `data.attributes.permission_level` (string)
    Access level to the object.

Learn more about the permission levels you can grant Users in our Knowledge Base article on User Permissions.
    Enum: "guest", "collaborator", "admin", "owner"

  - `data.relationships` (object, required)

  - `data.relationships.user` (object)

  - `data.relationships.user.id` (string)
    Unique identifier for the resource instance.
    Example: "p0v24p-g7jy9k-123456"

  - `data.relationships.user.type` (string)
    The type of the resource.
    Enum: "users"

  - `data.relationships.permissible` (object)

  - `data.relationships.permissible.id` (string)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

  - `data.relationships.permissible.type` (string)
    The type of the resource.
    Enum: "collections"

  - `included` (array)
    An array listing the collection and its users.

  - `meta` (object, required)
    Page context information.

  - `meta.current_page` (integer, required)
    Example: 1

  - `meta.next_page` (object,null, required)

  - `meta.prev_page` (object,null, required)

  - `meta.total_pages` (number, required)
    Example: 1

  - `meta.total_count` (number, required)
    Example: 1


